Subject: RE: Summing-up (Re: [tcpm] comments on draft-gont-tcpm-icmp-attacks-05)

From: [email-masked]
Date: Fri, 11 Nov 2005 03:49:09 +0200

Hi all,

>Kacheong Poon wrote:
>> There is no question that most, if not all, vendors have implemented 
>> all or most of the mechanisms described in this draft.  Unless the 
>> TCPM WG really wants to have the IETF "documented" TCP standard to 
>> deviate from real world running code, I'd suggest the WG to 
>adopt this 
>> draft as a WG document and decide which track it is suitable for.
>
>I thought the IETF was suppose to be the standards body, not 
>some collection of vendors. I don't think we should alter the 
>role of the IETF to simply document and recommend mechanisms 
>that are popular with vendors. IMHO, the IETF should make 
>recommendations independently of how popular they are with vendors.

I've been just lurking on this thread - but I have a different take.
I think the IETF should document what people are doing - that way
at least implementors know what common code bases are doing.  

However, IETF Standards should document what we think is the right
thing to do.  If we were to document this draft as an RFC, then
we should probably put some cautionary words in and maybe a forward
pointer to what we consider the right thing to do is.

John

_______________________________________________
tcpm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tcpm

---

From: "Armando L. Caro, Jr." <[email-masked]>
Date: Fri, 11 Nov 2005 11:26:14 -0500

> at least implementors know what common code bases are doing.  

Oh, I didn't mean to say that the IETF shouldn't document common code
bases. I just meant that the IETF shouldn't recommend mechanisms because

-- 
Armando
www.armandocaro.net